# Uses of Class
org.eclipse.zest.cloudio.Word

Packages that use Word
Package
Description
org.eclipse.zest.cloudio
org.eclipse.zest.cloudio.layout

## Uses of Word in org.eclipse.zest.cloudio

Methods in org.eclipse.zest.cloudio that return types with arguments of type Word
Modifier and Type
Method
Description
`Set<Word>`
TagCloud.`getSelection()`
Returns the set of selected elements.
`List<Word>`
TagCloud.`getWords()`
Method parameters in org.eclipse.zest.cloudio with type arguments of type Word
Modifier and Type
Method
Description
`protected int`
TagCloud.`layoutWords(Collection<Word> wordsToUse, IProgressMonitor monitor)`
Generates the layout of the given words.
`void`
TagCloud.`setSelection(Set<Word> words)`
Marks the set of elements as selected.
`int`
TagCloud.`setWords(List<Word> values, IProgressMonitor monitor)`
Sets the given list as input of the tag cloud, replacing any previous content.

## Uses of Word in org.eclipse.zest.cloudio.layout

Methods in org.eclipse.zest.cloudio.layout with parameters of type Word
Modifier and Type
Method
Description
`Point`
DefaultLayouter.`getInitialOffset(Word word, Rectangle cloudArea)`
`Point`
ILayouter.`getInitialOffset(Word word, Rectangle cloudArea)`
Calculates the initial offset of the given word, within the bounds of the specified rectangle.
`boolean`
DefaultLayouter.`layout(Point offset, Word word, Rectangle cloudArea, CloudMatrix mainTree)`
Tries to position the given word in the given area.
`boolean`
ILayouter.`layout(Point initial, Word word, Rectangle cloudArea, CloudMatrix cloudMatrix)`
Places the given word within the defined rectangle, starting at the initial position.